diff -u couriergraph-0.25/debian/po/ca.po couriergraph-0.25/debian/po/ca.po
--- couriergraph-0.25/debian/po/ca.po
+++ couriergraph-0.25/debian/po/ca.po
@@ -9,9 +9,9 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: 0.25-3\n"
-"Report-Msgid-Bugs-To: \n"
+"Report-Msgid-Bugs-To: jltallon@adv-solutions.net\n"
 "POT-Creation-Date: 2007-01-15 23:41+0100\n"
-"PO-Revision-Date: 2007-02-28 22:55+0100\n"
+"PO-Revision-Date: 2007-03-06 09:31+0100\n"
 "Last-Translator: Jordà Polo <jorda@ettin.org>\n"
 "Language-Team: Català <debian-l10n-catalan@lists.debian.org>\n"
 "MIME-Version: 1.0\n"
@@ -31,9 +31,9 @@
 "Couriergraph can start on boot time as a daemon. Then it will monitor your "
 "mail logfile for changes. This is recommended."
 msgstr ""
-"És possible iniciar CourierGraph com a dimoni en el moment d'arrencada. Així "
-"monitoritzarà des del començament els canvis al fitxer de registre del "
-"correu. Aquesta és la opció recomanada."
+"És possible iniciar CourierGraph com a dimoni en el moment d'arrencada. "
+"Així monitoritzarà des del començament els canvis al fitxer de registre del "
+"correu. Aquesta és l'opció recomanada."
 
 #. Type: boolean
 #. Description
@@ -74,5 +74,5 @@
 "whether this directory should be removed completely on purge or not."
 msgstr ""
-"Couriergrath manté els fitxers de base de dades a /var/lib/couriergraph. "
+"Couriergraph manté els fitxers de base de dades a /var/lib/couriergraph. "
 "Indiqueu si voleu esborrar o no aquest directori en eliminar completament el "
 "paquet."
diff -u couriergraph-0.25/debian/postrm couriergraph-0.25/debian/postrm
--- couriergraph-0.25/debian/postrm
+++ couriergraph-0.25/debian/postrm
@@ -3,9 +3,6 @@
 #
 # see: dh_installdeb(1)
 
-if [ -f /usr/share/debconf/confmodule ]; then
-    . /usr/share/debconf/confmodule
-fi
 set -e
 
 # summary of how this script can be called:
@@ -26,10 +23,13 @@
 
 case "$1" in
         purge)
-		db_get couriergraph/stay_on_purge
-		if [ "$RET" = "true" ]; then
-			if [ -d $DATADIR ]; then rm -rf $DATADIR
-			else rm -f $DATADIR/couriergraph.rrd
+		if [ -f /usr/share/debconf/confmodule ]; then
+			. /usr/share/debconf/confmodule
+			db_get couriergraph/stay_on_purge
+			if [ "$RET" = "true" ]; then
+				if [ -d $DATADIR ]; then rm -rf $DATADIR
+				else rm -f $DATADIR/couriergraph.rrd
+				fi
 			fi
 		fi
 		rm -rf $CACHEDIR
diff -u couriergraph-0.25/debian/changelog couriergraph-0.25/debian/changelog
--- couriergraph-0.25/debian/changelog
+++ couriergraph-0.25/debian/changelog
@@ -1,3 +1,12 @@
+couriergraph (0.25-3.3) unstable; urgency=high
+
+  * Non-maintainer upload during BSP.
+  * Fix unconditional use of debconf in postrm (Closes: #416735).
+  * Update Catalan debconf translation (Closes: #413630).
+  * Add Dutch debconf translation (Closes: #423068).
+
+ -- Luk Claes <luk@debian.org>  Sat, 19 May 2007 15:58:24 +0200
+
 couriergraph (0.25-3.2) unstable; urgency=low
 
   * Non-maintainer upload during BSP.
only in patch2:
unchanged:
--- couriergraph-0.25.orig/debian/po/nl.po
+++ couriergraph-0.25/debian/po/nl.po
@@ -0,0 +1,68 @@
+#
+#    Translators, if you are not familiar with the PO format, gettext
+#    documentation is worth reading, especially sections dedicated to
+#    this format, e.g. by running:
+#         info -n '(gettext)PO Files'
+#         info -n '(gettext)Header Entry'
+#
+#    Some information specific to po-debconf are available at
+#            /usr/share/doc/po-debconf/README-trans
+#         or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+#    Developers do not need to manually edit POT or PO files.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: couriergraph\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2007-01-15 23:41+0100\n"
+"PO-Revision-Date: 2007-04-29 12:37+0100\n"
+"Last-Translator: Bart Cornelis <cobaco@skolelinux.no>\n"
+"Language-Team: debian-l10n-dutch <debian-l10n-dutch@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Language: Dutch\n"
+
+#. Type: boolean
+#. Description
+#: ../templates:1001
+msgid "Should CourierGraph start on boot?"
+msgstr "Wilt u dat CourierGraph gestart wordt tijdens het opstarten van het systeem?"
+
+#. Type: boolean
+#. Description
+#: ../templates:1001
+msgid "Couriergraph can start on boot time as a daemon. Then it will monitor your mail logfile for changes. This is recommended."
+msgstr "Het is mogelijk om CourierGraph als achtergronddienst op te starten tijdens het opstarten van het systeem. Het zal dan uw e-mail logbestanden controleren op veranderingen. Dit is aangeraden."
+
+#. Type: boolean
+#. Description
+#: ../templates:1001
+msgid "The other method is to call couriergraph.pl by hand with the -l parameter."
+msgstr "De andere methode is om couriergraph.pl handmatig aan te roepen met de -I parameter."
+
+#. Type: string
+#. Description
+#: ../templates:2001
+msgid "Logfile to be used by couriergraph:"
+msgstr "Door couriergraph te gebruiken logbestand:"
+
+#. Type: string
+#. Description
+#: ../templates:2001
+msgid "Enter the logfile which should be used to create the databases for couriergraph. If unsure, leave default."
+msgstr "Welke logbestanden dienen gebruikt te worden om de databases van couriergraph aan te maken? Als u twijfelt laat dit dan op de standaardwaarde staan."
+
+#. Type: boolean
+#. Description
+#: ../templates:3001
+msgid "Remove RRD files on purge?"
+msgstr "Wilt RRD-bestanden verwijderen bij wissen van dit pakket?"
+
+#. Type: boolean
+#. Description
+#: ../templates:3001
+msgid "Couriergraph keeps its database files under /var/lib/couriergraph. State whether this directory should be removed completely on purge or not."
+msgstr "De Couriergraph databasebestanden worden opgeslagen in /var/lib/couriergraph, wilt u dat deze map volledig verwijderd wordt bij wissen van dit pakket?"
+
